> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendors

> Get all vendors for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/expenses/vendors
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/expenses/vendors:
    get:
      tags:
        - Expenses
      summary: Get vendors
      description: Get all vendors for the authenticated user
      operationId: getVendors
      parameters:
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records updated after the specified date.
          schema:
            type: string
          example: '1970-01-01'
        - name: status
          in: query
          description: Status filter - returns all vendors for the specified statuses.
          schema:
            type: array
            items:
              type: string
              enum:
                - PENDING
                - ACTIVE
                - INACTIVE
        - name: query
          in: query
          description: >-
            Query filter - returns all vendors whose names contain the specified
            `query` parameter. For example, a search parameter of "Apple" would
            return vendors with the names "Apple" and "Applebee's".
          schema:
            type: string
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEVendorDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEVendorDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/VendorDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    VendorDTOV5:
      type: object
      properties:
        id:
          type: integer
          description: Id of the vendor, required when updating an existing vendor
          format: int64
        name:
          type: string
          description: Name of the vendor
        status:
          type: string
          description: Status of the vendor
          enum:
            - ACTIVE
            - INACTIVE
            - PENDING
            - REMOVED
        defaultCategoryId:
          type: integer
          description: The default category to assign incoming expenses with this vendor
          format: int64
        defaultBusinessId:
          type: integer
          description: The default business to assign incoming expenses having this vendor
          format: int64
        defaultClientId:
          type: integer
          description: The default client to assign incoming expenses having this vendor
          format: int64
        duplicateVendorIds:
          type: array
          description: The ids of the vendors to merge into the current vendor
          items:
            type: integer
            description: The ids of the vendors to merge into the current vendor
            format: int64
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````